/***********************************************************
  文件名：20_Thermal Data.ino
  描述：获取热敏传感器模拟值，当读取的模拟值小于 380 时蜂鸣器不响，而模拟值大于或等于 300 时蜂鸣器响起。
  作者：陈志强
  日期：2022.11.3
***********************************************************/


volatile int value;//定义热敏传感器模拟值变量

void setup(){
  value = 0;
  Serial.begin(9600);//设置波特率
  pinMode(A0, INPUT);//定义A0为输入引脚
  pinMode(9, OUTPUT);//定义9为输出引脚
}

void loop(){
  value = analogRead(A0);//获取热敏电压模拟值
  Serial.print("Thermal Data：");
  Serial.println(value);//打印热敏电压模拟值
  if (analogRead(A0) > 380) {//判断热敏值是否大于380
    tone(9,196);//9号蜂鸣器响起

  }
  delay(200);
  noTone(9);//9号蜂鸣器不响

}
